# FFTW FFT documentation

similar to cuda module fftw can use all the four combinations (R2C, C2R, IFFT, FFT). However, the underneat plan is always C2C. As fftw isnore efficient using C2C plan.
## External doc: https://www.fftw.org/fftw2_doc/fftw_2.html
